CUDA Driver API (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 6.8. CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS Struct Reference

## [Data types used by CUDA driver]

External semaphore wait parameters

### Public Variables

CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::@16::@17 fence
unsigned int flags
unsigned long long value

### Variables

CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::@16::@17 CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::fence [inherited]

  Parameters for fence objects

unsigned int CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::flags [inherited]

  Flags reserved for the future. Must be zero.

unsigned long long CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::value [inherited]

  Value of fence to be waited on